Package org.snpsift

# Class SnpSiftCmdExtractFields

java.lang.Object
org.snpsift.SnpSift
org.snpsift.SnpSiftCmdExtractFields

All Implemented Interfaces:
  `org.snpeff.snpEffect.commandLine.CommandLine`, `org.snpeff.snpEffect.VcfAnnotator`

public class SnpSiftCmdExtractFields extends SnpSift
Extract fields from VCF file to a TXT (tab separated) format

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SHOW`

### Fields inherited from class org.snpsift.SnpSift

`args, BUILD, command, config, configFile, dataDir, dbFileName, dbTabix, dbType, debug, download, EMPTY_ARGS, errCount, genomeVersion, help, log, needsConfig, needsDb, needsGenome, numWorkers, output, quiet, REVISION, saveOutput, shiftArgs, SHOW_EVERY_VCFLINES, showVcfHeader, showVersion, SOFTWARE_NAME, suppressOutput, vcfHeaderAddProgramVersion, vcfHeaderProcessed, vcfInputFile, verbose, VERSION, VERSION_MAJOR, VERSION_NO_NAME, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftCmdExtractFields()`
`SnpSiftCmdExtractFields(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
Initialize default values
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Run main algorithm
`List<String>`
`run(boolean createList)`
`void`
`usage(String msg)`
Show usage message

### Methods inherited from class org.snpsift.SnpSift

`addHeaders, annotate, annotateFinish, annotateInit, cmd, commandLineStr, databaseDownload, databaseFind, error, getArgs, getConfig, getConfigFile, getOutput, headers, isOpt, loadConfig, main, openVcfInputFile, processVcfHeader, setCommand, setCommand, setConfig, setConfigFile, setDbFileName, setDebug, setQuiet, setSaveOutput, setShowVcfHeader, setShowVersion, setSuppressOutput, setVcfHeaderAddProgramVersion, setVerbose, showCmd, showVersion, unSanitize, usageGenericAndDb`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHOW

public static final int SHOW

See Also:
  - Constant Field Values

## Constructor Details

### SnpSiftCmdExtractFields

public SnpSiftCmdExtractFields()

### SnpSiftCmdExtractFields

public SnpSiftCmdExtractFields(String[] args)

## Method Details

### init

public void init()
Description copied from class: `SnpSift`
Initialize default values

Overrides:
  `init` in class `SnpSift`

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `parseArgs` in class `SnpSift`

### run

public boolean run()
Run main algorithm

Specified by:
  `run` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `run` in class `SnpSift`

### run

public List<String> run(boolean createList)

### usage

public void usage(String msg)
Show usage message

Specified by:
  `usage` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `usage` in class `SnpSift`
Parameters:
  `msg` -